<div class="flex-column">
  <section class="pageheadsection" *ngIf="data$ | async as data">
    <div class="md-head-container1">
      <div class="md-head-containerinner1">
        <div
          matTooltip="{{ solution?.name?.toString()?.split('_')?.join('') }}"
        >
          <span class="md-headline4"
            ><img [src]="imageToShow" tabindex="0" class="solutions-img" />{{
              data.solution?.name?.toString()?.split("_")?.join(" ")
            }}
          </span>
        </div>
        <div class="md-head-container3">
          <div class="md-head-containerinner-seperator"></div>
          <div class="version-container cataloglist-container">
            <button
              class="mdl-button"
              #menuTrigger="matMenuTrigger"
              [matMenuTriggerFor]="menu"
              (click)="menuTrigger.openMenu()"
            >
              <span class="text-ellipsis"
                >Catalog - {{ selectedDefaultCatalog?.name }}</span
              >
              <i class="material-icons">keyboard_arrow_down</i>
            </button>
            <mat-menu #menu="matMenu">
              <ul>
                <li *ngFor="let catalog of data.catalogs" class="selected">
                  <span
                    [ngClass]="{
                      'md-cat-txtellipsis': catalog.name.length > 15
                    }"
                    >{{ catalog.name }}</span
                  >
                  <span class="custom-tooltip-text">{{ catalog.name }}</span>
                </li>
              </ul>
            </mat-menu>
          </div>
        </div>
        <gp-version-dropdown
          [selectedDefaultRevision]="selectedDefaultRevision"
          [revisionsList]="revisionsList"
          (revisionChange)="onChangeVersion($event)"
        ></gp-version-dropdown>
      </div>
      <ng-container *ngIf="isLoggedIn$ | async; else notLoggedIn">
        <div class="md-head-container2">
          <div class="select-control dcl-list">
            <mat-form-field appearance="fill">
              <mat-select placeholder="Deploy for Execution">
                <mat-option
                  *ngFor="let menuEntry of deployMenu"
                  [value]="menuEntry.title"
                  (click)="triggerDeployment(menuEntry)"
                >
                  <img
                    [src]="getImagePath(menuEntry.title)"
                    class="deploy-image"
                  />
                  {{ menuEntry.title }}
                </mat-option>
              </mat-select>
            </mat-form-field>
          </div>
        </div>
      </ng-container>
      <ng-template #notLoggedIn>
        <div class="md-head-container2">
          <button class="mdl-button btn-primary" (click)="openSignInDialog()">
            Sign in to download
          </button>
          <button class="mdl-button btn-secondary" (click)="openSignInDialog()">
            Sign in to deploy to cloud
          </button>
        </div>
      </ng-template>
    </div>

    <div class="md-head-container2 breadcrumb-navigation-container">
      <gp-breadcrumb-navigation
        [solution]="data.solution"
        [firstNavigationLabel]="{ label: 'Home' }"
        [secondNavigationLabel]="{ label: 'MarketPlace' }"
        (firstNavigationClicked)="onHomeClick()"
        (secondNavigationClicked)="onMarketPlaceClick()"
      ></gp-breadcrumb-navigation>
      <span class="md-lbl1"
        >Version {{ selectedDefaultRevision?.version }} |
        {{
          data.solution?.downloadCount === null
            ? 0
            : data.solution?.downloadCount
        }}
        Downloaded</span
      >
    </div>
  </section>
  <div class="md-container-head1 md-header3" *ngIf="data$ | async as data">
    <div class="head-stat-left">
      <div class="mdchild1">
        <img
          class="userimg"
          src="../../../assets/images/user-profile-black.png"
        />
      </div>
      <div>
        <div>
          <span class="text-medium font600"
            ><span class="md-created-label"
              >Created by
              {{
                data.authors && data.authors[0]
                  ? data.authors[0]?.name
                  : data.solution?.ownerName
              }}</span
            ></span
          >
          |
          <span class="text-xsmall"
            >Created on {{ data.solution?.created | date: "MM/dd/yyyy" }} </span
          ><span ng-if="!audit"
            >|
            <button
              class="mdl-button mdl-js-button btn-md-edit"
              [disabled]="!editModel"
              alt="Manage My Model"
              title="Manage My Model"
              (click)="OnlClickManageMyModel()"
            >
              Manage My Model
            </button>
          </span>
        </div>
        <span
          class="text-xsmall publish-text"
          *ngIf="data.catalogs && data.catalogs.length > 0"
          >Published on {{ data.solution?.modified | date: "MM/dd/yyyy" }}</span
        >
      </div>
    </div>
    <div class="header-stats">
      <div>
        <a
          class="link-blue text-medium md-icons1 scrollToComment-button"
          (click)="scrollToComment('view')"
          ><span
            class="statistics-icons icon-chat-blue md-icons1"
            alt="Comment"
            title="Comment"
          ></span>
          {{ data.comments.response_body.content.length }}
          <span class="header-stat-lg">Comments</span></a
        >
      </div>
      <div *ngIf="data.solution?.active === true">|</div>
      <div *ngIf="data.solution?.active === true">
        <a
          class="link-write-comments link-blue text-medium md-icons1 scrollToComment-button"
          (click)="scrollToComment('edit')"
          >Write comments</a
        >
      </div>
      <div>|</div>
      <div class="text-medium view-download-container">
        <gp-view-count [item]="data.solution" class="md-icons1"></gp-view-count>
      </div>
      <div>|</div>
      <div class="text-medium view-download-container">
        <gp-download-count
          [item]="data.solution"
          class="md-icons1"
        ></gp-download-count>
      </div>
    </div>
  </div>
  <mat-sidenav-container *ngIf="data$ | async as data">
    <mat-sidenav mode="side" opened #sidenav>
      <nav mat-tab-nav-bar class="margin: 20px 0 20px 0;" [tabPanel]="tabPanel">
        <a
          mat-tab-link
          routerLink="modelDescription"
          routerLinkActive="is-active"
          ><mat-icon fontIcon="description"></mat-icon
          ><span class="tab-box">Description</span></a
        >
        <a
          mat-tab-link
          routerLink="licenseProfile"
          routerLinkActive="is-active"
        >
          <span
            class="tab_license"
            [ngClass]="
              isActive(
                '/marketSolutions/model-details/' +
                  solutionId +
                  '/' +
                  revisionId +
                  '/licenseProfile'
              )
                ? 'tab-license-profile-is-active'
                : 'tab-license-profile-not-active'
            "
          ></span
          ><span class="tab-box"> License profile</span></a
        >
        <a mat-tab-link routerLink="modelSignature" routerLinkActive="is-active"
          ><mat-icon fontIcon="sync_alt"></mat-icon
          ><span class="tab-box">Signature</span></a
        >
        <a mat-tab-link routerLink="modelDocuments" routerLinkActive="is-active"
          ><mat-icon fontIcon="content_copy"></mat-icon
          ><span class="tab-box">Documents</span></a
        >
        <a mat-tab-link routerLink="modelArtifacts" routerLinkActive="is-active"
          ><mat-icon fontIcon="history"></mat-icon
          ><span class="tab-box">Model artifacts</span></a
        >
        <a mat-tab-link routerLink="modelAuthor" routerLinkActive="is-active">
          <span
            class="tab-icon"
            [ngClass]="
              isActive(
                '/marketSolutions/model-details/' +
                  solutionId +
                  '/' +
                  revisionId +
                  '/modelAuthor'
              )
                ? 'tab-author_details-is-active'
                : 'tab-author_details-not-active'
            "
          >
          </span>
          <span class="tab-box author-publisher-text">
            <span>Author</span>
            <span>/</span>
            <span>Publisher details</span>
          </span>
        </a>
      </nav>
      <mat-tab-nav-panel #tabPanel></mat-tab-nav-panel>
      <mat-divider></mat-divider>
      <div>
        <h6 class="sectiontitle4">
          Tags<span
            class="title-icons icon-tags"
            alt="Tags"
            title="Tags"
          ></span>
        </h6>
        <mat-chip-set class="chip-set-tags" aria-label="Tags selection">
          <mat-chip-option
            *ngFor="let tag of data.solution.solutionTagList"
            color="primary"
            class="chips-width"
            [matTooltip]="tag.tag"
          >
            {{ tag.tag }}
          </mat-chip-option>
        </mat-chip-set>
      </div>
      <mat-divider></mat-divider>
      <div>
        <h6 class="sectiontitle5">
          Other {{ data.solution?.modelTypeName }} Models
        </h6>
        <mat-divider></mat-divider>
        <a class="text-small pull-right show-all" (click)="onClickShowAll()"
          >Show all</a
        >
        <div>
          <div class="md-list-container1">
            <div
              *ngFor="let val of data.relatedSolutions | slice: 0 : 5"
              class="list-item list-container"
            >
              <ul
                class="model-list go-to-related-solutions-ul"
                (click)="
                  goToRelatedSolutions(val.solutionId, val.latestRevisionId)
                "
              >
                <li>
                  <img
                    src="../../../assets/images/solution2.jpg"
                    alt=""
                    (click)="
                      goToRelatedSolutions(val.solutionId, val.latestRevisionId)
                    "
                    title="solution"
                  />
                </li>
                <li>
                  <label
                    class="rel-title"
                    (click)="
                      goToRelatedSolutions(val.solutionId, val.latestRevisionId)
                    "
                    >{{ val.name.toString().split("_").join(" ") }}</label
                  >
                  <span class="rating">
                    <span>
                      <i
                        class="material-icons fa fa-star"
                        [ngClass]="{
                          'fa-star1':
                            val.solutionRatingAvg == null ||
                            val.solutionRatingAvg < 1
                        }"
                      ></i>
                    </span>
                    <span>
                      <i
                        class="material-icons fa fa-star"
                        [ngClass]="{ 'fa-star1': val.solutionRatingAvg < 2 }"
                      ></i>
                    </span>
                    <span>
                      <i
                        class="material-icons fa fa-star"
                        [ngClass]="{ 'fa-star1': val.solutionRatingAvg < 3 }"
                      ></i>
                    </span>
                    <span>
                      <i
                        class="material-icons fa fa-star"
                        [ngClass]="{ 'fa-star1': val.solutionRatingAvg < 4 }"
                      ></i>
                    </span>
                    <span>
                      <i
                        class="material-icons fa fa-star"
                        [ngClass]="{ 'fa-star1': val.solutionRatingAvg < 5 }"
                      ></i>
                    </span>
                  </span>
                  <label class="iconcontainer">
                    <span class="iconspan1">
                      <span
                        class="statistics-icons icon-chat"
                        alt="Comment"
                        title="Comment"
                      ></span>
                      0
                    </span>
                    <span class="iconspan1">
                      <span
                        class="statistics-icons icon-view"
                        alt="View"
                        title="View"
                      ></span>
                      {{ val.viewCount }}
                    </span>
                    <span class="iconspan1">
                      <span
                        class="statistics-icons icon-download"
                        alt="Download"
                        title="Download"
                      ></span>
                      {{ val.downloadCount }}
                    </span>
                  </label>
                </li>
              </ul>
            </div>
          </div>
        </div>
      </div>
    </mat-sidenav>
    <mat-sidenav-content class="page-wrap">
      <main class="content-router-outlet"><router-outlet></router-outlet></main>
      <gp-rate-model-details
        [solution]="data.solution"
        [allUserRatings]="allRatings"
        [averageRatings]="averageRatings"
        [totalRatingsCount]="allRatings.length"
        [solutionId]="data.solutionId"
        [solutionRating]="(rating$ | async)!"
        (updateRating)="updateRating()"
        [totalCommentCount]="data.comments.response_body.content.length"
        [ratingCounts]="ratingCounts"
        [perRatingCounts]="perRatingCounts"
        [userId]="(userId$ | async)!"
        [revisionId]="revisionId"
        [comments]="comments"
        [firstName]="firstName"
        [lastName]="lastName"
        (createComment)="createComment($event)"
        (deleteComment)="deleteComment($event)"
        (editComment)="editComment($event)"
        (replyToComment)="createOrReplyToComment($event)"
      ></gp-rate-model-details> </mat-sidenav-content
  ></mat-sidenav-container>
</div>
